- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CMpeg2Dec Class Reference

List of all members.

## Public Types
enum |
## Public Member Functions
| CMpeg2Dec ()
virtual | ~CMpeg2Dec ()
void | mpeg2_init ()
void | mpeg2_close ()
void | mpeg2_buffer (uint8_t *start, uint8_t *end)
int | mpeg2_getpos ()
mpeg2_state_t | mpeg2_parse ()
void | mpeg2_skip (int skip)
void | mpeg2_slice_region (int start, int end)
void | mpeg2_pts (uint32_t pts)
mpeg2_state_t | mpeg2_seek_sequence ()
mpeg2_state_t | mpeg2_parse_header ()
void | mpeg2_header_state_init ()
int | mpeg2_header_sequence ()
int | mpeg2_header_gop ()
mpeg2_state_t | mpeg2_header_picture_start ()
int | mpeg2_header_picture ()
int | mpeg2_header_extension ()
int | mpeg2_header_user_data ()
void | mpeg2_header_matrix_finalize ()
void | mpeg2_header_sequence_finalize ()
mpeg2_state_t | mpeg2_header_slice_start ()
mpeg2_state_t | mpeg2_header_end ()
void | mpeg2_set_fbuf (int coding_type)
## Public Attributes
CMpeg2Decoder | m_decoder
CMpeg2Info | m_info
uint32_t | m_shift
int | m_is_display_initialized
mpeg2_state_t | m_state
uint32_t | m_ext_state
uint8_t * | m_chunk_buffer
uint8_t * | m_chunk_start
uint8_t * | m_chunk_ptr
uint8_t | m_code
uint32_t | m_pts_current
uint32_t | m_pts_previous
int | m_num_pts
int | m_bytes_since_pts
bool | m_first
int | m_alloc_index
uint8_t | m_first_decode_slice
uint8_t | m_nb_decode_slices
mpeg2_sequence_t | m_new_sequence
mpeg2_sequence_t | m_sequence
mpeg2_gop_t | m_gop
mpeg2_picture_t | m_pictures [4]
mpeg2_picture_t * | m_picture
mpeg2_fbuf_t * | m_fbuf [3]
mpeg2_fbuf_t | m_fbuf_alloc [3]
uint8_t * | m_buf_start
uint8_t * | m_buf_end
int16_t | m_display_offset_x
int16_t | m_display_offset_y
int | m_copy_matrix
uint8_t | m_intra_quantizer_matrix [64]
uint8_t | m_non_intra_quantizer_matrix [64]

## Detailed Description

Definition at line 305 of file libmpeg2.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/transform/mpeg2decfilter/libmpeg2.h
- C:/guliverkli/src/filters/transform/mpeg2decfilter/libmpeg2.cpp